import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { RouteArgs } from '../types/RouteArgs';
export declare type RouteInstructionArgs = {
    args: RouteArgs;
    label: beet.COption<string>;
};
export declare const routeStruct: beet.FixableBeetArgsStruct<RouteInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export declare type RouteInstructionAccounts = {
    candyGuard: web3.PublicKey;
    candyMachine: web3.PublicKey;
    payer: web3.PublicKey;
    anchorRemainingAccounts?: web3.AccountMeta[];
};
export declare const routeInstructionDiscriminator: number[];
export declare function createRouteInstruction(accounts: RouteInstructionAccounts, args: RouteInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
